<?php

@( (bool)FALSE === strpos( $_SERVER['REQUEST_URI'], basename( __FILE__ ) ) ) OR exit( '!! ACCESS DENIED !!' );
error_reporting( _E_VALUE );


/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +----------------------------------------------------------------------+
// | myPHPNuke Version 188_8 RC2                                          |
// +----------------------------------------------------------------------+
// | License: GNU/GPL - http://www.gnu.org/copyleft/gpl.html              |
// +----------------------------------------------------------------------+
// | Support: http://myphpnuke.com/                                       |
// +----------------------------------------------------------------------+
// | Author: myPHPNuke Dev Team                                           |
// +----------------------------------------------------------------------+
// | Copyright: © 2001-2004 myPHPNuke Dev Team                            |
// +----------------------------------------------------------------------+
// $Id: main.php,v 1.4.2.5 2004/08/15 12:58:21 kirilt Exp $

checkAccess( 'blocks', array( 'partner', 'left' ) );

include ("admin/partners/partners.$phpEx");

global $hlpfile;
$hlpfile = getHelpFile("partners.htm","myphpnuke");

if (!isset($op))
{
    $op = null;
}

switch ($op){

    case "PartnerChange":
        PartnerChange($num, $hits, $url, $image, $text);
        break;

    case "PartnerAdd":
        PartnerAdd($num, $hits, $url, $image, $text);
        break;

    case "PartnerDel":
        include("header.$phpEx");
        admin_menu($hlpfile);
        echo "<br>";
        PartnerDel($num, $ok);
        include("footer.$phpEx");
        break;

    case "PartnerEdit":
        include("header.$phpEx");
        admin_menu($hlpfile);
        echo "<br>";
        PartnerEdit($num);
        include("footer.$phpEx");
        break;

    Default:
        include("header.$phpEx");
        admin_menu($hlpfile);
        echo "<br>";
        PartnerAdmin();
        echo "<br>";
        include("footer.$phpEx");
        break;

}


?>
